/*
FILENAME: buttons.css
DESCRIPTION: This stylesheet serves unique declarations for Onehub buttons
*/

.buttons {
	font-size: 11px;
	overflow: hidden;
}

.buttons button, .buttons .button {
  background: #fff url("../images/bg_button.png") bottom center repeat-x;
  border: 1px solid #b4b4b4;
  border-top: 1px solid #d4d4d4;
  border-left: 1px solid #d4d4d4;
  border-radius: 3px;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  color: #828282;
  cursor: pointer;
  display: block;
  float: left;
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
  font-size: 100%; /* Normalizing for IE */
  font-weight: bold;
  margin: 0 10px 0 0;
  text-decoration: none;
  text-shadow: 0 1px rgba(255, 255, 255, .75);
  text-transform: uppercase;
}

.buttons button { padding: 6px 10px; }
.buttons .button { padding: 4px 10px; }
.buttons button[type] { line-height: 16px; } /* Safari */
button::-moz-focus-inner { border-color: transparent; } /* Removes dotted border line in Firefox */

.buttons object {
  cursor: pointer;
  display: block;
  float: left;
  margin: 0 10px 0 0;
}

.buttons img {
  margin: -2px 0 0 5px;
  vertical-align: text-top;
  width: 16px;
  height: 16px;
}

.buttons .separator {
  float: left;
  line-height: 28px;
  margin-right: 9px;
}

/* =DEFAULT =HOVER */

.buttons button:hover, .buttons .button:hover {
  background-color: #f2f2f2;
  border-color: #b4b4b4;
}

/* =SUBTLE */

.buttons .subtle {
  background: none;
  border-color: rgba(0, 0, 0, .1);
  color: rgba(0, 0, 0, .3);
  text-shadow: none;
}

.buttons .subtle:hover {
  background: #f2f2f2 url("../images/bg_button.png") bottom center repeat-x;
  border: 1px solid rgba(0, 0, 0, .4);
  color: #828282;
  text-shadow: 0 1px rgba(255, 255, 255, .75);
}

/* =DEFAULT =ACTIVE */

.buttons button:active, .buttons .button:active {
  background-color: #6299c5;
  border-color: #5382a8;
  color: #fff;
  text-shadow: 0 -1px rgba(0, 0, 0, .4);
}

/* =POSITIVE */

.buttons .positive { color: #529214; }

.buttons .positive:active {
  background-color: #529214;
  border-color: #467c11;
}

/* =NEGATIVE */

.buttons .negative { color: #d12f19; }

.buttons .negative:active {
  background-color: #d12f19;
  border-color: #b22815;
}

/* =PASSIVE */

.buttons .passive {
  background: none;
  border-color: transparent;
  color: #b4b4b4;
  text-transform: none;
}

.buttons .passive:hover {
  background: none;
  border-color: #d4d4d4;
  color: #828282;
}

.buttons .passive:active {
  background: #b4b4b4;
  border-color: #b4b4b4;
  color: #fff;
}

/* =DISABLED */

.buttons button[disabled] {
  background: #d4d4d4;
  border-color: #c6c6c6;
  color: #828282;
  cursor: wait;
}

/* =REVERSE */

.buttons .reverse {
  background: none;
  border-color: rgba(0, 0, 0, .1);
  text-shadow: none;
}

.buttons .reverse:hover {
  border-color: rgba(0, 0, 0, .4);}

/* =UBER */

.uber_button {
  line-height: 65px;
  font-size: .925em;
}

.uber_button a.button {
  background-image: url("../images/bg_button_uber.png");
  background-repeat: repeat-x;
  background-position: bottom center;
  font-size: 1.1em;
  text-align: center;
}

.uber_button a.button {
  padding: 10px 0;
  border-radius: 6px;
  -moz-border-radius: 6px;
  -webkit-border-radius: 6px;
}

/* =TWEAKS */

.buttons .wide { padding-left: 0; padding-right: 0; text-align: center; }

.grid_2 .wide { width: 98px; }
.container_16 .grid_3 .wide { width: 158px; }
.container_16 .grid_4 .wide { width: 218px; }

.container_12 .grid_3 .wide { width: 218px; }
.container_12 .grid_4 .wide { width: 298px; }
